Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.searchengine
Class SearchEngineResponse

    java.lang.Object
      lbg.searchengine.SearchEngineResponse

All Implemented Interfaces:
  java.io.Serializable

    public class SearchEngineResponse

extends java.lang.Object
implements java.io.Serializable

A wrapper to include various information from a search engine.

Since:
  2007-03-21
Author:
  Xavier Dalem
See Also:
  Serialized Form

Field Summary
`ExternalPeerHandle[]` | `handles` A list of probably valid peer handles.
`long` | `timestamp` Server timestamp of this response, useful for `SearchEngineHandle.getHandles(long)`.

Constructor Summary
`SearchEngineResponse(ExternalPeerHandle[] handles)` Creates a search engine response.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### handles

    public final ExternalPeerHandle[] handles

  A list of probably valid peer handles.

### timestamp

    public final long timestamp

  Server timestamp of this response, useful for `SearchEngineHandle.getHandles(long)`.

Constructor Detail

### SearchEngineResponse

    public SearchEngineResponse(ExternalPeerHandle[] handles)
                         throws GridException

  Creates a search engine response.

  Parameters:
    `handles` - The handles the response consists of. Zero-sized for none.
  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.